/*
** pat_port.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:48:07 1999 
** Last update Thu Oct 28 20:21:08 1999 
*/
#ifndef PAT_PORT_H
#define PAT_PORT_H	1

#include "pat.h"

extern t_pat		port_resolved_pat;

/* PROTO pat_port.c */
/* pat_port.c */
int port_from_str P((char *str, char *proto, t_boolean resolve));
t_status port_to_str P((int port, char *proto, char *str, int max_len, t_boolean resolve));
t_status port_resolved_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status port_resolved_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status port_resolved_pat_insert P((void *data, char *buf, int len, char *value));
t_status port_resolved_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
#endif
